### Hierarchy

- NodeCryptoSha2Hash

## Index

### Constructors

- constructor

### Properties

- createHash

### Methods

- digest

## Constructors

### constructor

- new NodeCryptoSha2Hash(createHash: NodeCryptoCreateHash): NodeCryptoSha2Hash

- - Defined in encryption/sha2Hash.ts:11

  #### Parameters

  - ##### createHash: NodeCryptoCreateHash

  #### Returns NodeCryptoSha2Hash

## Properties

### createHash

createHash: NodeCryptoCreateHash

- Defined in encryption/sha2Hash.ts:11

## Methods

### digest

- digest(data: NodeJS.TypedArray, algorithm?: string): Promise<Buffer>

- - Defined in encryption/sha2Hash.ts:17

  #### Parameters

  - ##### data: NodeJS.TypedArray

  - ##### Default value algorithm: string = "sha256"

  #### Returns Promise<Buffer>

Generated using TypeDoc